import React, { useState, useEffect } from 'react';
import { Upload, Button, message } from 'antd';
import { PlusOutlined } from '@ant-design/icons';

function DDAttachment(props) {
  const { disabled, onChange } = props;
  const uploadProps = {
    name: 'file',
    action: 'https://www.mocky.io/v2/5cc8019d300000980a055e76',
    headers: {
      authorization: 'authorization-text',
    },
    onChange(info) {
      if (info.file.status === 'done') {
        console.log(info.file.url);
        onChange(info.file.url)
        message.success(`附件${info.file.name}上传成功`);
      } else if (info.file.status === 'error') {
        message.error(`附件${info.file.name}上传失败`);
      }
    },
  };

  return (
    <Upload {...uploadProps}>
      <Button icon={<PlusOutlined />}>添加附件</Button>
    </Upload>
  );
}

export default DDAttachment;
